# novaclient.v2.instance_usage_audit_log module

class novaclient.v2.instance_usage_audit_log.InstanceUsageAuditLog(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

class novaclient.v2.instance_usage_audit_log.InstanceUsageAuditLogManager(api)

  Bases: `Manager`

  get(before=None)

    Get server usage audits.

    Parameters:

      before – Filters the response by the date and time before which to list usage audits.

  resource_class

    alias of `InstanceUsageAuditLog`

this page last updated: 2026-07-15 14:18:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug